# norootforbuild
%define pkg_name    ixed4.lin
%define sg_version %(php-config --version | awk -F. '{print $1"."$2 }' 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
%define php_version %(php-config --version 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
#
BuildRequires:	awk
Name:		php5-SourceGuardian
Version:	%{sg_version}
Release:	11.1
License:	PHP
Group:		Productivity/Networking/Web/Servers
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel
Requires:	php5 = %{php_version}
URL:		http://www.sourceguardian.com/ixeds/
%ifarch x86_64
Source:		%{pkg_name}.x86-64.tar.bz2
%else
Source:		%{pkg_name}.x86-32.tar.bz2
%endif
Summary:	PHP SourceGuardian Loader
%description
Loader for SourceGuardian encoded files.

%prep
%setup -q -c -n sourceguardian

%build

%install
%{__mkdir} -p %{buildroot}%{_libdir}/php5/extensions
%__install -m 0755 ixed.%{sg_version}.lin %{buildroot}%{_libdir}/php5/extensions/ixed.%{sg_version}.so
%__install -m 0755 ixed.%{sg_version}ts.lin %{buildroot}%{_libdir}/php5/extensions/ixed.%{sg_version}ts.so
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable sourceguardian extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/sourceguardian.ini
echo "extension = ixed.%{sg_version}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/sourceguardian.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/ixed.%{sg_version}.so
%{_libdir}/php5/extensions/ixed.%{sg_version}ts.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/sourceguardian.ini


%changelog
* Mon Nov 11 2013 cs@linux-administrator.com
- update to version 9.5
* Mon Mar 21 2011 cs@linux-administrator.com
- initial package build
